Description

Added ability to render multiple partials with view hook

Associated revisions

Revision 13449 - 2014-10-18 10:09 - Jean-Philippe Lang

Ability to render multiple partials with view hook (#17763).

History

#1 - 2014-09-12 07:21 - Jean-Baptiste Barth

Isn't it easier to add a "parent" partial that groups the other ones you'd want to render ? Maybe you can explain why this is needed.

Plus we need to have some tests if we ever want to merge this in.

#2 - 2014-09-12 07:37 - Ilya S

It's easier, in case of multiple partials within one plugin, but if you have multiple plugins using the same hook - it's a problem.

#3 - 2014-10-13 08:45 - Ilya S

any thoughts?

#4 - 2014-10-13 20:25 - Jean-Philippe Lang

This patch assumes that we're rendering partials which is just one of the many #render options.

I'd like something that does not depend on that.

#5 - 2014-10-13 21:04 - Jean-Philippe Lang

- File multiple_render.patch added

Here is another option, feedback is welcome. Basically, the syntax would be:

render_on :some_hook, :partial => "show_more_data" 

render_on :some_hook, {:partial => "show_more_data"}, {:partial => "show_even_more_data"}

render_on :some_hook, {:partial => "show_more_data"}, {:inline => "<%= show_even_more_data %>"}

#6 - 2014-10-18 10:10 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from ability to render multiple partials with view hook to Ability to render multiple partials with view hook

- Category changed from Core Plugins to Plugin API

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Feature added in r13449.

#7 - 2014-10-24 20:50 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/13449


Files

0001-ability-to-render-multiple-partials-with-view-hook.patch 1.24 KB 2014-08-29 Ilya S

multiple_render.patch 1.87 KB 2014-10-13 Jean-Philippe Lang
